# Uses of Class
org.apache.lucene.codecs.TermVectorsFormat

Packages that use TermVectorsFormat
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene103
Lucene 10.3 file format.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.
org.apache.lucene.codecs.lucene90.compressing
Lucene 9.0 compressing format.

- ## Uses of TermVectorsFormat in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return TermVectorsFormat
  Modifier and Type
  Method
  Description
  `abstract TermVectorsFormat`
  Codec.`termVectorsFormat()`
  Encodes/decodes term vectors
  `TermVectorsFormat`
  FilterCodec.`termVectorsFormat()`

- ## Uses of TermVectorsFormat in org.apache.lucene.codecs.lucene103

  Methods in org.apache.lucene.codecs.lucene103 that return TermVectorsFormat
  Modifier and Type
  Method
  Description
  `final TermVectorsFormat`
  Lucene103Codec.`termVectorsFormat()`

- ## Uses of TermVectorsFormat in org.apache.lucene.codecs.lucene90

  Subclasses of TermVectorsFormat in org.apache.lucene.codecs.lucene90
  Modifier and Type
  Class
  Description
  `final class`
  `Lucene90TermVectorsFormat`
  Lucene 9.0 `term vectors format`.

- ## Uses of TermVectorsFormat in org.apache.lucene.codecs.lucene90.compressing

  Subclasses of TermVectorsFormat in org.apache.lucene.codecs.lucene90.compressing
  Modifier and Type
  Class
  Description
  `class`
  `Lucene90CompressingTermVectorsFormat`
  A `TermVectorsFormat` that compresses chunks of documents together in order to improve the compression ratio.